package com.jeeplus.test.cw.projectRecords.service.dto;

import com.jeeplus.core.query.Query;
import com.jeeplus.core.query.QueryType;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.sys.service.dto.OfficeDTO;
import com.jeeplus.sys.service.dto.UserDTO;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author: 徐滕
 * @version: 2022-11-10 15:02
 */
@Data
public class CwProjectRecordsDTO extends BaseDTO {
    private static final long serialVersionUID = 1L;

    //项目编号（字典值）
    public static final String BIZ_CODE = "12";

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 项目编号
     */
    private String projectNumber;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目所属部门
     */
    @Query(type = QueryType.EQ, tableColumn = "su.office.id", javaField = "officeDTO.id")
    private OfficeDTO officeDTO;

    /**
     * 项目金额
     */
    private String projectMoney;

    /**
     * 审计期间
     */
    private String auditYear;

    /**
     * 项目计划开始时间
     */
    private Date planStartDate;

    /**
     * 项目计划结束时间
     */
    private Date planEndDate;

    /**
     * 项目经理
     */
    @Query(tableColumn = "a.project_master", javaField = "master.id", type = QueryType.EQ)
    private UserDTO projectMaster;

    /**
     * 现场负责人
     */
    @Query(tableColumn = "a.project_leader", javaField = "leader.id", type = QueryType.EQ)
    private UserDTO projectLeader;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 状态
     */
    @Query
    private String status;


    /**
     * 附件
     */
    private List<WorkAttachmentDto> workAttachmentDtoList;

    /**
     * 被服务单位信息
     */
    private List<CwProjectClientInfoDTO> cwProjectClientInfoDTOList;
}
